URL structure
{orgId} is the ID of an organization.
Supported methods and overview
POST- adds a new group to an organization (specified byorgId).GET- retrieves a list of information for all groups defined within an organization (specified byorgId).
Detailed description
This API endpoint serves a number of purposes:-
Adds a new group to an organization (specified by
orgId).
Notes:- Associating this new group with one or more classifications would allow these classifications to restrict file sharing to any Covata users who are members of this group.
- For more information about adding one or more Covata users in an organization to a group, see <access-service>/api/v1/organisations/{orgId}/groups/{groupId}. Also see <access-service>/api/v1/organisations/{orgId}/labels for more information about adding new classifications to an organization.
-
Retrieves a list of information for all groups defined within an organization (specified by
orgId).
Supported roles and conditions
This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Organization Administrator’s Guide) and conditions:- Organization administrator - when this user is a member of the organization specified by
{orgId}in the request’s URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Content-Type: application/json
Required POST-request parameters
The following required parameters must be sent in the body of the POST request, each as individual members of a JSON object:-
name - The name of the new group to be added to the organization specified by
{orgId}in the request’s URL.
Example (request):
Optional POST-request parameters
The following optional parameters can also be sent in the body of the POST request, each as individual members of the JSON object that includes the Required POST-request parameters above:-
description - The description of the new group to be added to the organization specified by
{orgId}in the URL.
Example (request):
Optional GET-request parameters
The following optional parameters can be sent in the URL of the GET request:-
limit - An integer value from
0to100, representing the maximum number of items to be returned in the response, where an individual item is information about a group defined in the organization (specified by{orgId}in the request’s URL). If this parameter is omitted, then its value is0by default, which does not apply restrictions to the number of items returned in the response. -
offset - A value representing the count order of all retrievable items (i.e. groups in the organization specified by
{orgId}in the URL) returned in the response. Calls to this API endpoint may amount to potentially large numbers of items being returned from the Covata Platform. Since the order of these items in the response could differ significantly, based on the values of the orderBy and sortBy parameters below, this offset parameter provides pagination for items returned in responses, allowing items to be retrieved from any count greater than0(i.e. the first item returned in a response). If this parameter is omitted, then its value is0by default. -
orderBy - An enumeration (enum) value representing the order in which items (i.e. groups in the organization specified by
{orgId}in the URL) are returned in the response. This parameter orders items according to the value of the sortBy parameter specified below. Ordering items can be in either ascending alphanumeric order (by specifying the valueASCfor this parameter) or descending order (by specifying the valueDESC). If this parameter is omitted, then its value isASCby default. -
sortBy - A value representing the field (i.e. member) of a retrieved item by which items (i.e. groups in the organization specified by
{orgId}in the URL) returned in the response will be sorted. Valid field values for this parameter include:name- the name of the group anddescription- the description of the group.
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
For successful requests only, a JSON-formatted response containing the following members is also returned:
-
items ( from GET requests only ) - An array containing information about all existing groups defined in the organization (specified by
{orgId}in the request’s URL), where these groups have been filtered by any parameters submitted in the request. Each element of this array contains information about one of these groups (represented as an object containing the following members unless otherwise stated). - id - The ID of the (new) group.
- labelCount ( from GET requests only ) - The number of classifications which are currently associated with the group.
- memberCount ( from GET requests only ) - The number of Covata user accounts which are currently members of the group.
- description - The description of the (new) group.
- name - The name of the (new) group.
-
count ( from GET requests only ) - The total number of items (i.e. groups defined in the organization specified by
{orgId}in the request’s URL) that can be returned in the response. -
offset ( from GET requests only ) - The value of the offset which had been used in the request to this API endpoint.
Example (response from a POST request - adding a new group to an organization):
Example (response from a GET request):

